var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Directive, ViewContainerRef, ContentChildren } from '@angular/core';
import { ComplexBase, ArrayBase, setValue } from '@syncfusion/ej2-ng-base';
var input = ['autoFill', 'border', 'colorMapping', 'fill', 'groupGap', 'groupPadding', 'groupPath', 'headerAlignment', 'headerFormat', 'headerHeight', 'headerStyle', 'headerTemplate', 'opacity', 'showHeader', 'templatePosition'];
/**
 * Level Directive
 * ```html
 * <e-levels>
 * <e-level></e-level>
 * </e-levels>
 * ```
 */
var LevelDirective = /** @class */ (function (_super) {
    __extends(LevelDirective, _super);
    function LevelDirective(viewContainerRef) {
        var _this = _super.call(this) || this;
        _this.viewContainerRef = viewContainerRef;
        setValue('currentInstance', _this, _this.viewContainerRef);
        return _this;
    }
    LevelDirective.decorators = [
        { type: Directive, args: [{
                    selector: 'e-levels>e-level',
                    inputs: input,
                    queries: {}
                },] },
    ];
    /** @nocollapse */
    LevelDirective.ctorParameters = function () { return [
        { type: ViewContainerRef, },
    ]; };
    return LevelDirective;
}(ComplexBase));
export { LevelDirective };
/**
 * Level Array Directive
 * @private
 */
var LevelsDirective = /** @class */ (function (_super) {
    __extends(LevelsDirective, _super);
    function LevelsDirective() {
        return _super.call(this, 'levels') || this;
    }
    LevelsDirective.decorators = [
        { type: Directive, args: [{
                    selector: 'ej-treemap>e-levels',
                    queries: {
                        children: new ContentChildren(LevelDirective)
                    },
                },] },
    ];
    /** @nocollapse */
    LevelsDirective.ctorParameters = function () { return []; };
    return LevelsDirective;
}(ArrayBase));
export { LevelsDirective };
//# sourceMappingURL=levels.directive.js.map