import { ElementRef, ViewContainerRef, Renderer2, ValueProvider } from '@angular/core';
import { IComponentBase } from '@syncfusion/ej2-ng-base';
import { TreeMap, TreeMapTooltip, TreeMapLegend, TreeMapHighlight, TreeMapSelection } from '@syncfusion/ej2-treemap';
export declare const inputs: string[];
export declare const outputs: string[];
export declare const twoWays: string[];
/**
 * TreeMap Component
 * ```html
 * <ej-treemap></ej-treemap>
 * ```
 */
export declare class TreeMapComponent extends TreeMap implements IComponentBase {
    private ngEle;
    private srenderer;
    private viewContainerRef;
    childLevels: any;
    tags: string[];
    constructor(ngEle: ElementRef, srenderer: Renderer2, viewContainerRef: ViewContainerRef, treeMapTooltip: TreeMapTooltip, treeMapLegend: TreeMapLegend, treeMapHighlight: TreeMapHighlight, treeMapSelection: TreeMapSelection);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngAfterContentChecked(): void;
    registerEvents: (eventList: string[]) => void;
    addTwoWay: (propList: string[]) => void;
}
export declare const TreeMapTooltipService: ValueProvider;
export declare const TreeMapLegendService: ValueProvider;
export declare const TreeMapHighlightService: ValueProvider;
export declare const TreeMapSelectionService: ValueProvider;
